Bug 190822 - Thread.contextClassLoader does not see classes from all started bundles
Thread.contextClassLoader does not see classes from all started bundles
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Netigso
6.x
Other Linux
: P1 (vote)
: 6.x
Assigned To: Jaroslav Tulach
issues@platform
69patch1-fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-07 09:08 UTC by Jaroslav Tulach
Modified: 2010-10-18 15:31 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2010-10-07 09:08:26 UTC
In case one uses Bundle.start() directly, without going through recommended NetBeans Module APIs for enabling modules, one can reach a state, when there are active bundles, with valid classloaders, but the Thread.currentThread().getContextClassLoader() does not see them.

This may cause problems with libraries that rely on Thread.contextClassLoader to see everything in the application.
Comment 1 Jaroslav Tulach 2010-10-13 10:47:27 UTC
This is not a stopper for any milestone builds. I make the bug P1 to let it be included in some patch for 6.9.1
Comment 2 Jaroslav Tulach 2010-10-13 17:03:02 UTC
core-main#5ca8148aff52
Comment 3 Jaroslav Tulach 2010-10-13 17:35:16 UTC
Merged to releases691 branch:
http://hg.netbeans.org/releases/rev/8d785cab49f8
Comment 4 Quality Engineering 2010-10-14 02:59:25 UTC
Integrated into 'main-golden', will be available in build *201010140000* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/705772698106
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #190822: Thread.contextClassLoader shall delegate to calling-in OSGi bundle classloaders


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo